summaryrefslogtreecommitdiffstats
path: root/client_wizard
diff options
context:
space:
mode:
authorArnaud Desmons <adesmons@mandriva.com>2002-09-05 07:37:06 +0000
committerArnaud Desmons <adesmons@mandriva.com>2002-09-05 07:37:06 +0000
commitf7cca6ea32444a7764d54989bf360530d07d6092 (patch)
tree779049ed3b297fa40354f497a5e0d6ca86505096 /client_wizard
parent52d4a220029dac288c8b86c3271ce9ab5fbdc6c2 (diff)
downloaddrakwizard-f7cca6ea32444a7764d54989bf360530d07d6092.tar
drakwizard-f7cca6ea32444a7764d54989bf360530d07d6092.tar.gz
drakwizard-f7cca6ea32444a7764d54989bf360530d07d6092.tar.bz2
drakwizard-f7cca6ea32444a7764d54989bf360530d07d6092.tar.xz
drakwizard-f7cca6ea32444a7764d54989bf360530d07d6092.zip
untouched
Diffstat (limited to 'client_wizard')
-rwxr-xr-xclient_wizard/scripts/do_it_client.sh80
-rwxr-xr-xclient_wizard/scripts/test_client.sh93
2 files changed, 173 insertions, 0 deletions
diff --git a/client_wizard/scripts/do_it_client.sh b/client_wizard/scripts/do_it_client.sh
new file mode 100755
index 00000000..4a2ec587
--- /dev/null
+++ b/client_wizard/scripts/do_it_client.sh
@@ -0,0 +1,80 @@
+#!/bin/bash
+#
+# Wizard
+#
+# Copyright (C) 2000 Mandrakesoft.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+# See file LICENSE for further informations on licensing terms.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+#
+# Authors: Jerome Dumonteil, Maurizio De Cecco, Enzo Maggi
+# icons: Helene Durosini <ln@mandrakesoft.com>
+# <corporate@mandrakesoft.com> http://www.mandrakesoft.com
+
+echo_debug "in $0"
+
+wiz_ip_net=`get_var wiz_ip_net`
+wiz_ip_server=`get_var wiz_ip_server`
+wiz_domain_name=`get_var wiz_domain_name`
+s_trunc=${wiz_ip_net%.*}
+ds=${wiz_ip_server##*.}
+sc_trunc=${wiz_client_ip%.*}
+dc=${wiz_client_ip##*.}
+
+wiz_client_name=${wiz_client_name%%.*}
+
+# change serial number
+# $1 : file
+up_serial(){
+TMPFILE=`mktemp /tmp/temp.XXXXXX` || exit 1
+cat $1 > ${TMPFILE}
+serial_nbm=$(date "+%Y%m%d00")
+serial_f=`sed -ne "s/^\([[:space:]]*\)\([0-9]*\)\([[:space:]]*;[[:space:]]*Serial.*$\)/\2/p" ${TMPFILE}`
+serial_f=$((${serial_f}+1))
+if [ ${serial_f} -le ${serial_nbm} ]; then
+ serial_f=${serial_nbm}
+fi
+
+cat ${TMPFILE}\
+|sed -e "s/^\([[:space:]]*\)\([0-9]*\)\([[:space:]]*;[[:space:]]*Serial.*$\)/\1${serial_f}\3/"\
+> $1
+rm -f ${TMPFILE}
+}
+
+
+
+file="/var/named/${wiz_domain_name}.db"
+
+bck_file ${file}
+
+echo "${wiz_client_name} IN A ${wiz_client_ip} ; $(date)" >> ${file}
+
+up_serial ${file}
+
+
+
+file="/var/named/${s_trunc}.rev"
+
+bck_file ${file}
+
+echo "${dc} IN PTR ${wiz_client_name}. ; $(date)" >> ${file}
+
+up_serial ${file}
+
+
+/etc/rc.d/init.d/named restart
+
+# all seems to be ok
+exit 10
diff --git a/client_wizard/scripts/test_client.sh b/client_wizard/scripts/test_client.sh
new file mode 100755
index 00000000..6a73e96d
--- /dev/null
+++ b/client_wizard/scripts/test_client.sh
@@ -0,0 +1,93 @@
+#!/bin/bash
+#
+# Wizard
+#
+# Copyright (C) 2000 Mandrakesoft.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+# See file LICENSE for further informations on licensing terms.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+#
+# Authors: Jerome Dumonteil, Maurizio De Cecco, Enzo Maggi
+# icons: Helene Durosini <ln@mandrakesoft.com>
+# <corporate@mandrakesoft.com> http://www.mandrakesoft.com
+
+echo_debug "in $0"
+
+wiz_ip_net=`get_var wiz_ip_net`
+wiz_ip_server=`get_var wiz_ip_server`
+wiz_domain_name=`get_var wiz_domain_name`
+s_trunc=${wiz_ip_net%.*}
+ds=${wiz_ip_server##*.}
+sc_trunc=${wiz_client_ip%.*}
+dc=${wiz_client_ip##*.}
+
+wiz_client_name=${wiz_client_name%%.*}
+
+if [ -z "${wiz_client_name}" ]; then
+ echo_debug "incorrect name"
+ exit 1
+fi
+
+if [ -z "${wiz_client_ip}" ]; then
+ echo_debug "incorrect address"
+ exit 1
+fi
+
+if [ -z "${sc_trunc}" ]; then
+ echo_debug "incorrect address"
+ exit 1
+fi
+if [ -z "${dc}" ]; then
+ echo_debug "incorrect address"
+ exit 1
+fi
+
+if [ "${s_trunc}" != "${sc_trunc}" ]; then
+ echo_debug "range not in network"
+ exit 1
+fi
+
+if [ "${dc}" = "${ds}" -o ${dc} -le 0 -o ${dc} -gt 255 ]; then
+ echo_debug "bad ip"
+ exit 1
+fi
+
+
+file="/var/named/${wiz_domain_name}.db"
+t=`grep -E "^${wiz_client_name}[[:space:]]*IN" ${file}`
+if [ -n "$t" ]; then
+ echo_debug "${wiz_client_name} got in ${file}"
+ exit 2
+fi
+t=`grep -E "^[^;]*A[[:space:]]*${wiz_client_ip}" ${file}`
+if [ -n "$t" ]; then
+ echo_debug "${wiz_client_ip} got in ${file}"
+ exit 2
+fi
+
+file="/var/named/${s_trunc}.rev"
+t=`grep -E "^${dc}[[:space:]]*IN" ${file}`
+if [ -n "$t" ]; then
+ echo_debug "${dc} got in ${file}"
+ exit 2
+fi
+t=`grep -E "^[^;]*PTR[[:space:]]*${wiz_client_name}" ${file}`
+if [ -n "$t" ]; then
+ echo_debug "${wiz_client_name} got in ${file}"
+ exit 2
+fi
+
+# all seems to be ok
+exit 10